Bug 55487 - (IDE PDCRAID)Promise FastTrack66 ATA66 (FT66) raid controller raid disks not available when 4 (four) HDD's are loaded accross the 2 (two) IDE buses in raid 0+1 and presented as single drive
(IDE PDCRAID)Promise FastTrack66 ATA66 (FT66) raid controller raid disks not ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 21:07 EST by Bohdan Ferens
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohdan Ferens 2001-10-31 21:07:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
When a promise FastTrack66 raid controller has any of the following
combinations, the pdcraid.o module or inline compiled code fails to attach
the device through /devs, yet /proc/ide/PSC202xx correctly shows the
configuration

Invalid combinations
raid 0 stripe accross 3 disks in any combination accross the 2 IDE busses
raid 0+1 accross 4 disks
basically any combination that uses any raid 1

Working combination
raid 0 accross 2 drives located on IDE 0 and IDE 1 ports

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load RH 7.2 (2.4.2-10) onto HDD attached to motherboard IDE
2. Confirm the devices /dev/atariad/d0* exist
3. Insert FT66 into system and attach HDD's accross the two IDE ports as
stripe/mirror
4. Boot system onto motherboard HDD
5. insmod ataraid
6. nsmod pdcraid
7. *device error
8. cat /proc/ide/pdc202xx shows correct configuration

Method 2

1. Compile kernel with the promise/ata code inline, not as modules
2. Reboot and watch for boot message about Promise software raid
3. Note - no raid drives found
4. fdisk /dev/ataraid/d0 == *cannot open device
5. cat /proc/ide/PDC202xx == correct configuration
	

Actual Results:  Method 1

Cannot install module pdc202xx.0

Method 2

No raid arrays detected
Cannot open /dev/ataraid/d0 for fdisk

Expected Results:  Method 1

Module should load

Method 2

Expect to see raid configuration as system boots
Expect to fdisk the /dev/ataraid/d0 device

Additional info:
Comment 1 Arjan van de Ven 2001-11-01 08:08:24 EST
Raid 0+1 is currently unsupported by the pdcraid driver;
Raid 0 should work though. Could you please attach the output of "dmesg"
so that I perhaps see what is wrong ?
Also please try the 2.4.9-7 security update kernel as that has a newer version
of the pdcraid driver...
Comment 2 Bohdan Ferens 2001-11-04 22:37:22 EST
Have installed 2.4.9-7 and testing as follows

4 hdds's now available under the following configs
test 1
 raid 0+1

test 2
 raid 0 for the first drive pair ide0 master, ide1 master
 raid 0 for the second drive pair ide1 slave, ide1 slave

results
test 1
mounting of raid 0+1 array correctly performed /dev/ataraid/d0p1

test 2
mounting of first raid 0 array correctly performed /dev/ataraid/d0p1

mounting of second raid 0 array correctly performd /dev/ataraid/d1p1

error testing

test 1
loss of any disk in the raid 0+1 array results in entire array being offline

test 2
loss of a single disk in the raid 0 array results in the array being offline
 yet still accessable by mounting through /dev/hd[e-h]*
Comment 3 Arjan van de Ven 2001-11-05 04:03:07 EST
I'm suprised raid1+0 works as I didn't add any code for it. The "raid0 fails
when you loose a drive" is hardly surprising....
Comment 4 Bohdan Ferens 2001-11-07 17:56:29 EST
Sorry brain slip

Test 2 should read

raid 1 array not raid 0 array with loss of one diskk in the mirror for error testing
Comment 5 Davide Rossetti 2002-01-25 09:41:01 EST
we are trying to install a number of rack mounted, 1U systems.
on-board Promise FastTrack100, 2 disks. 
chosen raid1 over both HDs. no further HDs, so we'd like to make root
part on the raid1.
using bootnet.img+updates-disk-20020117.img, the kernel sees 2 HDs AND 1
raid1, but anaconda don't propose the raid as an option for
partitioning/installation. I suppose that I have somehow to tell
anaconda to use /dev/ataraid/dXpY
Comment 6 Davide Rossetti 2002-01-25 09:45:05 EST
I forgot to mention that of course bootnet.img comes from
redhat-updates/7.2/en/os/images/i386/:
-rw-rw-r--   1 731      1474560   Jan 18 00:57   bootnet.img
-rw-rw-r--   1 731      1474560   Jan 18 00:57   pcmcia.img
-rw-rw-r--   1 731      1474560   Jan 18 00:57   update-disk-20020117.img
-rw-rw-r--   1 731      1474560   Oct 22 03:29   update-disk-20011009.img

best regards
Comment 7 Bugzilla owner 2004-09-30 11:39:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.